package com.foc.flightdynamics.bean;


public class FlightDynamicsBean {

    private String tDwnChn;  //ODS飞行计划调整编号
    private String etd;  //预计起飞时间
    private String eta;  //预计到达时间
    private String ata;  //
    private String updateTime;  //更新时间
    private String datopChn;  //
    private String tOffChn;  //
    private String tDwn;  //
    private String ataChn;  //
    private String gate;  //
    private String tOff;  //
    private String flightNo;  //航班号
    private String atdChn;  //
    private String acLongNo;  //飞机号
    private String origAcType=""; // 飞机型号
    private String acType=""; // 飞机型号
    private String etdChn;  //
    private String datop;  //航班日期（UTC）
    private Integer isStopOver;  //
    private String etaChn;  //
    private String atd;  //
    private String depStn;  //起飞机场
    private String arrStn;  //到达机场
    private String status="";  //航班状态:ARR 落地;NDR 落地;ATD 推出;ATA 到达;CNL 取消;DEL 延误;DEP 起飞;RTR 返航;SCH 计划
    private String std;  //std 计划起飞时间
    private String sta;  //sta 计划到达时间
    private String stdChn;  //std_chn 计划起飞时间（北京时间）
    private String staChn;  //sta_chn 计划到达时间（北京时间）
    
    private String divRecode;// 备降代码 "divRecode": "",
    private String divFlag;// 备降标识 "divFlag": "",  
    private String legNo;// 航段编号 "legNo": "100"    数据150表示备降200表示经停
    private String modified;  //

    private String delay1; //第一次延误代码
    private String dur1; //第一次延误时间

    private String stc;// 航班性质字段stc(A货运包机,C旅客包机,D补班,E专机,F货机,G加班,H货物加班,J正班,K训练/本场训练,L急救 ,O公务飞行,P调机 ,T试飞,X技术经停）
    
    public String getTDwnChn() {
        return tDwnChn;
    }

    public void setTDwnChn(String tDwnChn) {
        this.tDwnChn = tDwnChn;
    }

    public String getEtd() {
        return etd;
    }

    public void setEtd(String etd) {
        this.etd = etd;
    }

    public String getEta() {
        return eta;
    }

    public void setEta(String eta) {
        this.eta = eta;
    }

    public String getAta() {
        return ata;
    }

    public void setAta(String ata) {
        this.ata = ata;
    }

    public String gettDwnChn() {
        return tDwnChn;
    }

    public void settDwnChn(String tDwnChn) {
        this.tDwnChn = tDwnChn;
    }

    public String gettOffChn() {
        return tOffChn;
    }

    public void settOffChn(String tOffChn) {
        this.tOffChn = tOffChn;
    }

    public String gettDwn() {
        return tDwn;
    }

    public void settDwn(String tDwn) {
        this.tDwn = tDwn;
    }

    public String gettOff() {
        return tOff;
    }

    public void settOff(String tOff) {
        this.tOff = tOff;
    }

    

    public String getDatopChn() {
        return datopChn;
    }

    public void setDatopChn(String datopChn) {
        this.datopChn = datopChn;
    }

    public String getTOffChn() {
        return tOffChn;
    }

    public void setTOffChn(String tOffChn) {
        this.tOffChn = tOffChn;
    }

    public String getTDwn() {
        return tDwn;
    }

    public void setTDwn(String tDwn) {
        this.tDwn = tDwn;
    }

    public String getAtaChn() {
        return ataChn;
    }

    public void setAtaChn(String ataChn) {
        this.ataChn = ataChn;
    }

    public String getGate() {
        return gate;
    }

    public void setGate(String gate) {
        this.gate = gate;
    }

    public String getTOff() {
        return tOff;
    }

    public void setTOff(String tOff) {
        this.tOff = tOff;
    }

    public String getFlightNo() {
        return flightNo;
    }

    public void setFlightNo(String flightNo) {
        this.flightNo = flightNo;
    }

    public String getAtdChn() {
        return atdChn;
    }

    public void setAtdChn(String atdChn) {
        this.atdChn = atdChn;
    }

    public String getAcLongNo() {
        return acLongNo;
    }

    public void setAcLongNo(String acLongNo) {
        this.acLongNo = acLongNo;
    }

    public String getOrigAcType() {
        return origAcType;
    }

    public void setOrigAcType(String origAcType) {
        this.origAcType = origAcType;
    }

    public String getAcType() {
        return acType;
    }

    public void setAcType(String acType) {
        this.acType = acType;
    }

    public String getEtdChn() {
        return etdChn;
    }

    public void setEtdChn(String etdChn) {
        this.etdChn = etdChn;
    }

    public String getDatop() {
        return datop;
    }

    public void setDatop(String datop) {
        this.datop = datop;
    }

    public Integer getIsStopOver() {
        return isStopOver;
    }

    public void setIsStopOver(Integer isStopOver) {
        this.isStopOver = isStopOver;
    }

    public String getEtaChn() {
        return etaChn;
    }

    public void setEtaChn(String etaChn) {
        this.etaChn = etaChn;
    }

    public String getAtd() {
        return atd;
    }

    public void setAtd(String atd) {
        this.atd = atd;
    }

    public String getDepStn() {
        return depStn;
    }

    public void setDepStn(String depStn) {
        this.depStn = depStn;
    }

    public String getArrStn() {
        return arrStn;
    }

    public void setArrStn(String arrStn) {
        this.arrStn = arrStn;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getModified() {
        return modified;
    }

    public void setModified(String modified) {
        this.modified = modified;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getStd() {
        return std;
    }

    public void setStd(String std) {
        this.std = std;
    }

    public String getSta() {
        return sta;
    }

    public void setSta(String sta) {
        this.sta = sta;
    }

    public String getStdChn() {
        return stdChn;
    }

    public void setStdChn(String stdChn) {
        
        this.stdChn = stdChn;
    }

    public String getStaChn() {
        return staChn;
    }

    public void setStaChn(String staChn) {
        this.staChn = staChn;
    }

    public String getDivRecode() {
        return divRecode;
    }

    public void setDivRecode(String divRecode) {
        this.divRecode = divRecode;
    }

    public String getDivFlag() {
        return divFlag;
    }

    public void setDivFlag(String divFlag) {
        this.divFlag = divFlag;
    }

    public String getLegNo() {
        return legNo;
    }

    public void setLegNo(String legNo) {
        this.legNo = legNo;
    }

    public String getDelay1() {
        return delay1;
    }

    public void setDelay1(String delay1) {
        this.delay1 = delay1;
    }

    public String getDur1() {
        return dur1;
    }

    public void setDur1(String dur1) {
        this.dur1 = dur1;
    }

    public String getStc() {
        return stc;
    }

    public void setStc(String stc) {
        this.stc = stc;
    }
}
